/**
  *  \file client/widgets/propertylist.h
  *  \brief WPropertyList widget
  */
#ifndef PCC_V2_CLIENT_WIDGETS_PROPERTYLIST_H
#define PCC_V2_CLIENT_WIDGETS_PROPERTYLIST_H

#include "ui/listbox.h"

class IntVariableNames;
class IntDataSegment;

/** Displays a list of user-defined properties and their values. */
class WPropertyList : public UIListbox {
 public:
    WPropertyList(int id,
                  const IntVariableNames& names,
                  const IntDataSegment& data);
    ~WPropertyList();

    void drawPart(GfxCanvas& can, int from, int to);

 private:
    const IntVariableNames& names;
    const IntDataSegment& data;
};

#endif
