/**
  *  \file int/subr.h
  *  \brief Interpreter: Subroutine Value
  */
#ifndef C2SERVER_INT_SUBR_H
#define C2SERVER_INT_SUBR_H

/** Subroutine value. Value referring to a subroutine. This is used to
    implement the 'pushsub' opcode. */
class IntSubroutineValue : public IntValue {
    IntBCORef bco;
 public:
    IntSubroutineValue(IntBCORef bco);
    ~IntSubroutineValue();
    IntBCORef getBytecodeObject();

    string_t toString(bool readable);
    void store(IntTagNode& tag, Stream& aux);
    IntSubroutineValue* clone();
};

#endif
