/**
  *  \file util/random.h
  *  \brief Random Numbers
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_MISC_RANDOM_H
#define PCC_V2_MISC_RANDOM_H

#include "cpluslib/types.h"

class RandomNumberGenerator {
    uint32 seed;
    void next();
 public:
    RandomNumberGenerator(uint32 seed);

    uint16 operator()();
    uint16 operator()(uint16 max);

    void setSeed(uint32_t s)
        { seed = s; }
    uint32_t getSeed() const
        { return seed; }
};

extern RandomNumberGenerator myRandom;

#endif
